Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.util
Class ConfigObjects

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--context.arch.util.ConfigObjects

public class ConfigObjects
extends java.util.Hashtable

This class maintains a list of configuration objects.

See Also:
  `ConfigObject`, Serialized Form

Field Summary
`static java.lang.String` | `HOSTNAME` Tag for component hostname
`static java.lang.String` | `ID` Tag for component id
`static java.lang.String` | `PORT` Tag for component port
`static java.lang.String` | `TYPE` Tag for component type

Constructor Summary
`ConfigObjects()` Basic empty constructor
`ConfigObjects(DataObject data)` Constructor that creates a ConfigObjects object from a DataObject.

Method Summary
`void` | `addConfigObject(ConfigObject obj)` Adds a configuration object to the list
`ConfigObject` | `getConfigObject(java.lang.String id)` Retrieves a configuation object from the component list
`java.util.Enumeration` | `getEnumeration()` Returns an enumeration of the configuration objects
`ConfigObjects` | `getObjectsType(java.lang.String type)` Returns a list of all the configuration objects with the given type

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

  Tag for component id

### HOSTNAME

    public static final java.lang.String HOSTNAME

  Tag for component hostname

### PORT

    public static final java.lang.String PORT

  Tag for component port

### TYPE

    public static final java.lang.String TYPE

  Tag for component type

Constructor Detail

### ConfigObjects

    public ConfigObjects()

  Basic empty constructor

### ConfigObjects

    public ConfigObjects(DataObject data)

  Constructor that creates a ConfigObjects object from a DataObject.
  Parameters:
    `data` - DataObject containing configuration information

Method Detail

### addConfigObject

    public void addConfigObject(ConfigObject obj)

  Adds a configuration object to the list
  Parameters:
    `obj` - Configuration object to add

### getConfigObject

    public ConfigObject getConfigObject(java.lang.String id)

  Retrieves a configuation object from the component list
  Parameters:
    `id` - Id to use to retrieve the configuration object
  Returns:
    ConfigObject object with the corresponding id

### getEnumeration

    public java.util.Enumeration getEnumeration()

  Returns an enumeration of the configuration objects
  Returns:
    Enumeration of the configuration objects

### getObjectsType

    public ConfigObjects getObjectsType(java.lang.String type)

  Returns a list of all the configuration objects with the given type
  Parameters:
    `type` - Type of configuration object to match
  Returns:
    ConfigObjects object containing objects with the given type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD